.m-draw-line-template-1 {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  .box-action-info {
    margin-top: 0.4rem;
  }
  .box-image-handle-answer {
    max-height: 625px;
    background: rgb(245, 248, 252);
    border-radius: 0.8rem;
    padding: 1rem;
    margin-bottom: 2rem;
    &.no-image{
      max-height: 380px;
    }
    .box-image-input-draw-line-1 {
      border-radius: 0.8rem;
      border: 0.1rem solid #d5dee8;
      height: 18rem;
      background: #fff;
      position: relative;
      width: 100%;
      margin-bottom: 1.6rem;
      height: calc(100% - 154px - 16px);
      max-height: calc(100% - 154px - 16px);
      .image-section {
        height: 100%;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 2rem;
        .image-input-origin {
          position: relative;
          max-height: 100%;
          height: 100%;
          max-width: 100%;
          .image-upload {
            max-width: 100%;
            height: 100%;
            max-height: 100%;
          }
          .image-delete-icon {
            position: absolute;
            top: 0;
            right: 0;
            width: 24px;
            height: 24px;
            cursor: pointer;
          }
        }
      }
      > span {
        position: absolute;
        top: 0;
        left: 1.5rem;
        transform: translate(0, -50%);
        background-color: #f5f8fc;
      }
    }
    .text-user-guide {
      padding: 0.6rem 0;
      display: flex;
      align-items: center;
      img {
        height: 2.2rem;
        margin-right: 0.5rem;
      }
      span {
        font-size: 1.2rem;
        color: #3dc9f8;
      }
    }
    .add-new-answer {
      padding: 1.9rem 0rem;
      display: flex;
      justify-content: center;
      align-items: flex-start;
      border-radius: 0 0.8rem 0.8rem 0;
      background: #fff;
      &__btn {
        cursor: pointer;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        box-shadow: 0px 0px 0px 1px #d4dde7;
        border-radius: 0.8rem;
        width: 10rem;
        height: 10rem;
        background: #fff;
        &.error{
          box-shadow: 0 0 0 0.1rem #dd3a09;
        }
        img {
          height: 3.6rem;
        }
        span {
          color: #30a0c3;
        }
      }
      &.scroll {
        background: #d4dde7;
        transition: background 2s;
        padding: 1.5rem;
        &__btn {
          background: #fff;
        }
      }

    }
    .image-split-container-tool{
      width: 100%;
    box-shadow: rgb(212 221 231) 0px 0px 0px 1px;
    border-radius: 0.8rem;
    display: flex;
    justify-content: center;
    align-items: center;
    &.error{
      box-shadow: 0 0 0 0.1rem #dd3a09;
    }
    }
  }

  .form-error-message {
    color: #ff0018;
    margin-top: 0;
    margin-left: 2rem;
    font-size: 1.2rem;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    padding: 0rem 1rem 1rem 1rem;
  }
  .class-image-list {
    display: flex;
    height: 17.2rem;
    margin: 1.2rem 0 1rem 0;
    border-radius: 8px;
    box-shadow: 0px 0px 0px 1px #d4dde7;
    width: 100%;
    background: #fff;
    // padding: 1.6rem 0;
    &__content {
      display: flex;
      height: 17.2rem;
      max-width: calc(100% - 120px);
      padding: 1.6rem 1rem;
      overflow-x: auto;
      pointer-events: all;
      &::-webkit-scrollbar {
        height: 7px;
        background-color: transparent;
      }
      &::-webkit-scrollbar-track {
        border-radius: 7px;
        cursor: pointer;
        margin-left: 10px;
        margin-right: 10px;
      }
      &::-webkit-scrollbar-thumb {
        background: #d4dde7 !important;
        border-radius: 7px;
      }
      &__card-image {
        height: 100%;
        width: 12rem;
        padding: 0 1rem;
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-items: center;
        .box-image {
          height: 10rem;
          width: 10rem;
          position: relative;
          border-radius: 0.8rem;
          box-shadow: 0px 0px 0px 1px #d4dde7;
          padding: 0.5rem;
          display: flex;
          flex-direction: column;
          justify-content: space-between;
          align-items: center;
          &.example {
            box-shadow: 0px 0px 0px 1px #67ab8d;
          }
          &.selected {
            box-shadow: 0px 0px 0px 1px #5cb9d8;
          }
          .image-delete-icon {
            height: 1.8rem;
            position: absolute;
            right: -0.5rem;
            top: -0.5rem;
            cursor: pointer;
          }
          .__content-image {
            height: calc(100% - 4rem);
            max-height: calc(100% - 4rem);
            min-height: calc(100% - 4rem);
            width: calc(100% - 2rem);
            display: flex;
            justify-content: center;
            align-items: center;
            cursor: pointer;
            img {
              max-width: 100%;
              max-height: 100%;

              width: 100%;
              height: 100%;
              object-fit: contain;
              &.img-default{
                object-fit: none;
              }
            }
          }
          textarea {
            resize: none;
            margin-top: 0.5rem;
            border: none;
            text-align: center;
            padding-top: 8px;
            height: 3.8rem;
            &::-webkit-scrollbar {
              width: 5px;
              background-color: transparent;
            }
            &::-webkit-scrollbar-track {
              border-radius: 5px;
              cursor: pointer;
            }
            &::-webkit-scrollbar-thumb {
              background: #d4dde7 !important;
              border-radius: 7px;
            }
            &::placeholder{
              color: #c3c3c3;
            }
          }
          .error{
            box-shadow: 0 0 0 0.1rem #dd3a09;
            border: none;
            border-radius: 0.8rem;
            overflow: hidden;
          }
        }
        .__content-toggle {
          display: flex;
          align-items: center;
          margin-top: 1rem;
          .__switcher {
            display: flex;
            position: relative;
            transform: unset;
            pointer-events: auto;
            left: unset;
            top: unset;
            .rs-toggle-presentation {
              background: #67ab8d;
              min-width: 50px;
              width: auto;
              height: 24px;
            }
          }
          .rs-toggle-checked {
            .rs-toggle-presentation {
              background: #f8c116;
            }
          }
          &.error {
            .rs-toggle-presentation {
              box-shadow: 0 0 0 0.15rem #dd3a09;
            }
          }
        }
        &.view-mode{
          pointer-events: none;
          textarea{
            pointer-events: all;
          }
          .__content-image{
            pointer-events: all;
          }
        }
      }
    }
  }
  .box-audio-input {
    width: 70px !important;
    height: 70px !important;
  }
  #content-draw-image-export-id{
    background: #fff;
    box-shadow: 0 0 0 0.2rem #dd3a09;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    .export-answer-list{
      display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
      .item-answer{
        padding: 1rem 0.5rem;
        // background: #ccc;
        text-align: center;
        font-family: 'times-r';
      color: #000;
      font-size: 13.3px;
      }
    }
    
  }
}
